zonelist_struct Struct Reference

`#include <zonelist.h>`

## Data Fields

ldns_rbtree_t * | zones
time_t | last_modified
int | just_added
int | just_updated
int | just_removed
pthread_mutex_t | zl_lock

## Detailed Description

Zone list

Definition at line 44 of file zonelist.h.

## Field Documentation

## just_added

int zonelist_struct::just_added

Definition at line 47 of file zonelist.h.

Referenced by zonelist_add_zone(), and zonelist_update().

## just_removed

int zonelist_struct::just_removed

Definition at line 49 of file zonelist.h.

Referenced by zonelist_update().

## just_updated

int zonelist_struct::just_updated

Definition at line 48 of file zonelist.h.

Referenced by zonelist_update().

## last_modified

time_t zonelist_struct::last_modified

Definition at line 46 of file zonelist.h.

Referenced by zonelist_create(), and zonelist_update().

## zl_lock

pthread_mutex_t zonelist_struct::zl_lock

Definition at line 50 of file zonelist.h.

Referenced by zonelist_cleanup(), zonelist_create(), and zonelist_free().

## zones

ldns_rbtree_t* zonelist_struct::zones

Definition at line 45 of file zonelist.h.

Referenced by zonelist_add_zone(), zonelist_cleanup(), zonelist_create(), zonelist_del_zone(), zonelist_free(), zonelist_lookup_zone_by_dname(), zonelist_lookup_zone_by_name(), and zonelist_update().

The documentation for this struct was generated from the following file:

- src/signer/zonelist.h